/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.validaciones;

import java.math.BigInteger;

/**
 *
 * @author obper
 */
public class DiferenciasZonasVsActual {
    private String sucursalCodigo;
    private String productoCodigo;
    private String productoNombre;
    private int existenciaActual;
    private BigInteger unidades;
    private BigInteger diferiencias;
    private String exedente;
    private String faltante;

    public String getSucursalCodigo() {
        return sucursalCodigo;
    }

    public void setSucursalCodigo(String sucursalCodigo) {
        this.sucursalCodigo = sucursalCodigo;
    }

    public String getProductoCodigo() {
        return productoCodigo;
    }

    public void setProductoCodigo(String productoCodigo) {
        this.productoCodigo = productoCodigo;
    }

    public String getProductoNombre() {
        return productoNombre;
    }

    public void setProductoNombre(String productoNombre) {
        this.productoNombre = productoNombre;
    }

    public int getExistenciaActual() {
        return existenciaActual;
    }

    public void setExistenciaActual(int existenciaActual) {
        this.existenciaActual = existenciaActual;
    }

    public BigInteger getUnidades() {
        return unidades;
    }

    public void setUnidades(BigInteger unidades) {
        this.unidades = unidades;
    }

    public BigInteger getDiferiencias() {
        return diferiencias;
    }

    public void setDiferiencias(BigInteger diferiencias) {
        this.diferiencias = diferiencias;
    }

    public String getExedente() {
        return exedente;
    }

    public void setExedente(String exedente) {
        this.exedente = exedente;
    }

    public String getFaltante() {
        return faltante;
    }

    public void setFaltante(String faltante) {
        this.faltante = faltante;
    }

    public DiferenciasZonasVsActual(String sucursalCodigo, String productoCodigo, String productoNombre, int existenciaActual, BigInteger unidades, BigInteger diferiencias, String exedente, String faltante) {
        this.sucursalCodigo = sucursalCodigo;
        this.productoCodigo = productoCodigo;
        this.productoNombre = productoNombre;
        this.existenciaActual = existenciaActual;
        this.unidades = unidades;
        this.diferiencias = diferiencias;
        this.exedente = exedente;
        this.faltante = faltante;
    }

    public DiferenciasZonasVsActual() {
    }
    
}
